Loading...
Searching...
No Matches
MD5
libavutil » Crypto and Hashing » Hash Functions

MD5 hash function implementation. More...

## Files

file | md5.h
| Public header for MD5 hash function implementation.

## Functions

struct AVMD5 * | av_md5_alloc (void)
| Allocate an AVMD5 context.
void | av_md5_init (struct AVMD5 *ctx)
| Initialize MD5 hashing.
void | av_md5_update (struct AVMD5 *ctx, const uint8_t *src, size_t len)
| Update hash value.
void | av_md5_final (struct AVMD5 *ctx, uint8_t *dst)
| Finish hashing and output digest value.
void | av_md5_sum (uint8_t *dst, const uint8_t *src, size_t len)
| Hash an array of data.

## Variables

const int | av_md5_size

## Detailed Description

MD5 hash function implementation.

## Function Documentation

## av_md5_alloc()

struct AVMD5 * av_md5_alloc | ( | void |  | ) |

Allocate an AVMD5 context.

Examples
  filter_audio.c.

Referenced by main().

## av_md5_init()

void av_md5_init | ( | struct AVMD5 * | ctx | ) |

Initialize MD5 hashing.

Parameters

  ctx | pointer to the function context (of size av_md5_size)

Examples
  filter_audio.c.

Referenced by process_output().

## av_md5_update()

void av_md5_update | ( | struct AVMD5 * | ctx,
|  | const uint8_t * | src,
|  | size_t | len
| ) |  |

Update hash value.

Parameters

  ctx | hash function context
  src | input data to update hash with
  len | input data length

## av_md5_final()

void av_md5_final | ( | struct AVMD5 * | ctx,
|  | uint8_t * | dst
| ) |  |

Finish hashing and output digest value.

Parameters

  ctx | hash function context
  dst | buffer where output digest value is stored

## av_md5_sum()

void av_md5_sum | ( | uint8_t * | dst,
|  | const uint8_t * | src,
|  | size_t | len
| ) |  |

Hash an array of data.

Parameters

  dst | The output buffer to write the digest into
  src | The data to hash
  len | The length of the data, in bytes

Examples
  filter_audio.c.

Referenced by process_output().

## Variable Documentation

## av_md5_size

const int av_md5_size

extern